Signature invalide


#1

Bonjour,

j’essaie d’installer cozy sur un nouveau serveur et je rencontre le problème suivant :

W: GPG error: https://apt.cozy.io/debian stretch InRelease: The following signatures were invalid: EXPKEYSIG 51F72B6A45D40BBE Cozy Debian signing key
W: The repository ‘https://apt.cozy.io/debian stretch InRelease’ is not signed.
N: Data from such a repository can’t be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details

Je suppose qu’il y a une mise à joue de clef à faire avec la nouvelle année?

Merci d’avance.


#2

Hello @glelostec,

Oui, j’ai eu le même souci. La clé a été renouvelée hier soir, du coup il faut la mettre à jour avec les commandes de la doc :

curl https://apt.cozy.io/cozy.gpg | \
    apt-key --keyring /etc/apt/trusted.gpg.d/cozy.gpg add -
curl https://apt.cozy.io/nightly/cozy.gpg | \
    apt-key --keyring /etc/apt/trusted.gpg.d/cozy.gpg add -

#3